Description

#English

As I mentioned in https://bugs.ruby-lang.org/issues/10086#change-48156,

1. Now that we are able to hundle complex exponents without mathn.

2. And overriding \ with quo has too much side effect. I suppose we should not implement such a thing in ruby standard library.

3. Requiring and integrating other standard libraries doesn't make sense.

This is why I think it might be better to make Mathn class deprecated and disabled in the future.

#日本語（すみませんまだ英語が拙く、意図をより正確にお伝えするため日本語も記載させて頂きます）

僕がこちらのissueで述べさせて頂いた通り、https://bugs.ruby-lang.org/issues/10086#change-48156

1. mathn で実装されている冪乗演算は mathn を用いずとも現在は実現されている事

2. mathn 内で行われている \ を quo でオーバーライドする事は副作用が強く、またこの種のオーバーライドが必要な場面は多くなく、必要な場合でも自ら実装する事が多いと推測される事

3. 各種数学関連のモジュールをrequireする機能もあまり意味を持たない事

以上の理由より、とりわけRubyの標準ライブラリーで現在のmathn を提供する必要を感じません.

よってmathnを非推奨に、ゆくゆくは廃止してしまうのが良いと考えています.

Related issues:

Related to Ruby - Bug #2121: mathn/rational destroys Fixnum#/, Fixnum#quo and... Closed 09/19/2009

Related to Ruby - Feature #13335: Gemify mathn Closed

Related to Ruby - Feature #13334: Removed deprecated mathn extentions. Closed

Associated revisions

Revision fb66bf2dd8f307b9741f4f076d70c6cbf560d0e5 - 08/26/2014 12:31 AM - hsbt (Hiroshi SHIBATA)

lib/mathn.rb: mathn library is deprecated on ruby 2.2.

[Feature #10169][ruby-core:64553]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@47282 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision fb66bf2d - 08/26/2014 12:31 AM - hsbt (Hiroshi SHIBATA)

lib/mathn.rb: mathn library is deprecated on ruby 2.2.

[Feature #10169][ruby-core:64553]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@47282 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 7a856b11c8bb5668c7d2c0ee9015e5c3329c4e33 - 04/21/2017 06:16 AM - hsbt (Hiroshi SHIBATA)

Removed mathn.rb from stdlib. It's deprecated from Ruby 2.2.

[Feature #10169][[ruby-core:64553]]

06/11/2025 1/3

https://bugs.ruby-lang.org/issues/10086#change-48156
https://bugs.ruby-lang.org/issues/10086#change-48156


git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@58432 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 7a856b11 - 04/21/2017 06:16 AM - hsbt (Hiroshi SHIBATA)

Removed mathn.rb from stdlib. It's deprecated from Ruby 2.2.

[Feature #10169][[ruby-core:64553]]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@58432 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 08/26/2014 12:21 AM - matz (Yukihiro Matsumoto)

Approved.  Organize transition path.

Matz.

#2 - 08/26/2014 12:31 AM - hsbt (Hiroshi SHIBATA)

- Status changed from Open to Closed

- % Done changed from 0 to 100

Applied in changeset r47282.

lib/mathn.rb: mathn library is deprecated on ruby 2.2.

[Feature #10169][ruby-core:64553]

#3 - 08/26/2014 12:33 AM - hsbt (Hiroshi SHIBATA)

- Status changed from Closed to Open

#4 - 08/27/2014 02:44 AM - hsbt (Hiroshi SHIBATA)

- Related to Bug #2121: mathn/rational destroys Fixnum#/, Fixnum#quo and Bignum#/, Bignum#quo added

#5 - 08/27/2014 05:34 AM - gogotanaka (Kazuki Tanaka)

@Hiroshi SHIBATA

I really appreciate you doing what I should do.

#6 - 11/10/2014 11:28 PM - gogotanaka (Kazuki Tanaka)

It might be annoying question, it's still open?

If so, please let me know why, otherwise could you make it closed?

I just wanna make sure my tickets remains or not.

I'm sorry to your extra trouble : (

#7 - 03/20/2017 07:06 AM - hsbt (Hiroshi SHIBATA)

- Related to Feature #13335: Gemify mathn added

#8 - 03/20/2017 07:07 AM - hsbt (Hiroshi SHIBATA)

- Status changed from Open to Assigned

- Assignee set to hsbt (Hiroshi SHIBATA)

- Target version set to 2.5

#9 - 04/17/2017 05:19 AM - hsbt (Hiroshi SHIBATA)

- Related to Feature #13334: Removed deprecated mathn extentions. added

#10 - 04/20/2017 08:38 AM - hsbt (Hiroshi SHIBATA)

Note: We need to remove Math mode from irb before unbundling mathn. So it uses mathn library.

After that, We can remove mathn from ruby core. and ship rubygems.

I will do it.
#11 - 04/21/2017 06:16 AM - hsbt (Hiroshi SHIBATA)

- Status changed from Assigned to Closed

Applied in changeset trunk|r58432.

Removed mathn.rb from stdlib. It's deprecated from Ruby 2.2.

[Feature #10169][[ruby-core:64553]]

Powered by TCPDF (www.tcpdf.org)

06/11/2025 3/3

https://bugs.ruby-lang.org/issues/10169
bugs.ruby-lang.org/issues/10169
http://www.tcpdf.org

